Make names of protocols localizable

RESOLVED FIXED in 1.5

Status

enhancement
RESOLVED FIXED
6 years ago
6 years ago

People

(Reporter: Mic, Assigned: unghost)

Tracking

Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment, 1 obsolete attachment)

*** Original post on bio 1769 at 2012-11-05 21:40:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
Posted patch Patch for js-based protocols (obsolete) — Splinter Review
*** Original post on bio 1769 as attmnt 2059 at 2012-11-05 21:40:00 UTC ***

There might be cases where a network has a localized name (I'm thinking of the russian networks here) and maybe it would be nice for localizers to be able to use that.
Duplicate of this bug: 955206
Comment on attachment 8353819 [details] [diff] [review]
Patch for js-based protocols

*** Original change on bio 1769 attmnt 2059 at 2012-11-07 21:04:06 UTC ***

(In reply to bug 955206 (bio 1774) comment #0)
> I've also replaced Vkontakte with VK, cause VK is official name of network for
> non-ex-USSR countries. 
> Guess, it's too late for 1.3 though.

This would break the string freeze, so this will have to be for after 1.3.
Attachment #8353819 - Flags: review?(clokep)
*** Original post on bio 1769 at 2012-11-07 21:06:12 UTC ***

I think these changes look fine Mic, except do we really want to have "IRC" and "XMPP" localized? They're actual protocol names...(also I really don't want people putting "Jabber" instead of "XMPP"). Is "Twitter" translated for other languages?
*** Original post on bio 1769 by Alexander L. Slovesnik <unghost AT gmail.com> at 2012-11-07 21:13:38 UTC ***

(In reply to comment #3)
> Is "Twitter" translated for other languages?
Twitter is translated at least for Russian - Твиттер - https://twitter.com/?lang=ru and Ukrainian - Твіттер - https://twitter.com/?lang=uk
Comment on attachment 8353819 [details] [diff] [review]
Patch for js-based protocols

*** Original change on bio 1769 attmnt 2059 at 2012-11-16 00:13:02 UTC ***

Let's not allow XMPP or IRC to be translated. Also, it seems that Vkontakte is supposed to be just "VK" in en-US (according to Alexander in bug 955206 (bio 1774)).
Attachment #8353819 - Flags: review?(clokep) → review-
*** Original post on bio 1769 as attmnt 2390 by unghost AT gmail.com at 2013-04-19 18:51:00 UTC ***

Updated patch
Attachment #8354157 - Flags: review?(clokep)
Comment on attachment 8354157 [details] [diff] [review]
Patch for js-based protocols v.2

*** Original change on bio 1769 attmnt 2390 at 2013-04-21 13:26:32 UTC ***

I'm ok with these changes, we've already string frozen for 1.4, however so this will need to wait for 1.5.

I find it weird that the Facebook name isn't with the rest of the xmpp ones, but that seems to have its own property file.
Attachment #8354157 - Flags: review?(clokep) → review+
*** Original post on bio 1769 by Alexander L. Slovesnik <unghost AT gmail.com> at 2013-06-26 21:01:24 UTC ***

Patrick, can you please land this patch, so it wouldn't miss deadline for 1.5?
Comment on attachment 8353819 [details] [diff] [review]
Patch for js-based protocols

*** Original change on bio 1769 attmnt 2059 at 2013-06-27 11:03:32 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353819 - Attachment is obsolete: true
*** Original post on bio 1769 at 2013-06-27 11:04:49 UTC ***

(In reply to comment #8)
> Patrick, can you please land this patch, so it wouldn't miss deadline for 1.5?

Sure, we'll check it in next time we do check-ins (probably tonight or tomorrow).
Assignee: nobody → bugzilla
Status: NEW → ASSIGNED
Whiteboard: [checkin-needed]
*** Original post on bio 1769 at 2013-06-27 23:47:37 UTC ***

Committed as http://hg.instantbird.org/instantbird/rev/f8f862e6ccd3

Thanks for the patch!
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
Depends on: 955747
There was missing email mapping information for this bug during the BIO to BMO merge, manually assigning this bug.
Assignee: bugzilla → unghost
You need to log in before you can comment on or make changes to this bug.